Bug 204175 - print/fontforge poudriere build error
Summary: print/fontforge poudriere build error
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: i386 Any
: --- Affects Some People
Assignee: Matthias Andree
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2015-10-31 08:20 UTC by Ivan Klymenko
Modified: 2016-05-26 21:59 UTC (History)
4 users (show)

See Also:
cyberbotx: maintainer-feedback+
cyberbotx: maintainer-feedback+


Attachments
fontforge-i386.log (16.94 KB, text/x-log)
2015-10-31 08:20 UTC, Ivan Klymenko
no flags Details
print/fontforge_i386.log (16.40 KB, text/plain)
2015-11-05 07:57 UTC, Ivan Klymenko
no flags Details
splineutil2-xxxxxx.c.bz2 (374.33 KB, application/x-bzip)
2015-11-05 21:00 UTC, Ivan Klymenko
no flags Details
splineutil2-xxxxxx.sh (4.69 KB, application/x-shellscript)
2015-11-05 21:01 UTC, Ivan Klymenko
no flags Details
Diff to Makefile of print/fontforge (1.06 KB, patch)
2016-04-15 16:45 UTC, Hiroo Ono
no flags Details | Diff
poudriere log for i386 head (as of r297216) (35.49 KB, application/x-xz)
2016-04-15 16:46 UTC, Hiroo Ono
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ivan Klymenko 2015-10-31 08:20:34 UTC
Created attachment 162634 [details]
fontforge-i386.log
Comment 1 Naram Qashat 2015-11-03 14:04:18 UTC
I have been getting fallout messages about this already, but I really don't know what I could do about it. For one, this is on HEAD and I don't have a HEAD system at all so I can't get a full log, plus I don't know how stable HEAD is for this sort of thing. For two, this seems like something that should go to the developers of fontforge and not me. I can try and see if this happens with a 10-i386 system as well, but if it doesn't, then I still won't know how to handle this.
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2015-11-03 15:16:34 UTC
CC last committer in case they can help
Comment 3 Naram Qashat 2015-11-04 02:01:32 UTC
Well, I can tell you guys this, it doesn't fail to build in a 10-i386 poudriere jail, so the problem appears to be specific to HEAD-i386.
Comment 4 Ivan Klymenko 2015-11-04 18:40:23 UTC
After:
1. upgrade poudriere jails to snapshots from date 02.11.2015;
2. removed all options where they are OpenMP;
3. deleted in poudriere all the old packages;
4. rebuilt the entire repository.

problem is not reproduce.

conclusion: port option OpenMP - evil.

Thanks.
Comment 5 Ivan Klymenko 2015-11-05 07:57:50 UTC
Created attachment 162800 [details]
print/fontforge_i386.log
Comment 6 Ivan Klymenko 2015-11-05 07:58:54 UTC
Unfortunately the problem reproduced.
Comment 7 Dmitry Marakasov freebsd_committer 2015-11-05 20:06:12 UTC
CC dim@.

Usually you should collect the files failure log mentions (preprocessed source and build script) and submit them to clang bugzilla.
Comment 8 Ivan Klymenko 2015-11-05 20:32:26 UTC
(In reply to Dmitry Marakasov from comment #7)
Alas, I can not intercept these files in the build in poudriere
/tmp/splineutil2-2024cd.c
/tmp/splineutil2-2024cd.sh
Comment 9 Dmitry Marakasov freebsd_committer 2015-11-05 20:38:50 UTC
poudriere testport -i
Comment 10 Dimitry Andric freebsd_committer 2015-11-05 20:50:13 UTC
Yes, I reported this problem upstream a long time ago:

https://llvm.org/bugs/show_bug.cgi?id=21903

For some reason, this bug did not get much traction, and it is still open after almost a year.  Currently, I have no ETA on when this gets fixed.
Comment 11 Ivan Klymenko 2015-11-05 21:00:53 UTC
Created attachment 162823 [details]
splineutil2-xxxxxx.c.bz2
Comment 12 Ivan Klymenko 2015-11-05 21:01:17 UTC
Created attachment 162824 [details]
splineutil2-xxxxxx.sh
Comment 13 Ivan Klymenko 2015-11-05 21:01:31 UTC
(In reply to Dmitry Marakasov from comment #9)
Thanks!
Comment 14 Hiroo Ono 2016-04-15 16:43:37 UTC
clang36 (and llvm36) builds fontforge fine on head/i386.
So, the workaround may be to build with it on head/i386.
Comment 15 Hiroo Ono 2016-04-15 16:45:01 UTC
Created attachment 169350 [details]
Diff to Makefile of print/fontforge
Comment 16 Hiroo Ono 2016-04-15 16:46:30 UTC
Created attachment 169352 [details]
poudriere log for i386 head (as of r297216)
Comment 17 Hiroo Ono 2016-05-02 14:32:56 UTC
I proposed a workaround to use clang36 instead of clang37 or clang38 on i386.
How about this workaround?
Comment 18 Naram Qashat 2016-05-02 14:39:21 UTC
I suppose if the patch works, I'm fine with it.
Comment 19 commit-hook freebsd_committer 2016-05-26 21:57:53 UTC
A commit references this bug:

Author: mandree
Date: Thu May 26 21:57:29 UTC 2016
New revision: 415915
URL: https://svnweb.freebsd.org/changeset/ports/415915

Log:
  Fix build on HEAD-i386, using clang 3.6, not newer.

  PR:		204175
  Submitted by:	Hiroo Ono
  Reported by:	Ivan Klymenko
  Approved by:	Naram Qashat (maintainer)

Changes:
  head/print/fontforge/Makefile